## generatorrunner 0.3.3

=== CMakeLists.txt ===
project(generatorrunner)

cmake_minimum_required(VERSION 2.6)

find_package(Qt4 4.5.0 REQUIRED)
find_package(ApiExtractor REQUIRED)

if (MSVC)
    set(CMAKE_CXX_FLAGS "/DWIN32 /D_WINDOWS /w /EHsc- /GS- /GR- /DGENRUNNER_BUILD -D_SCL_SECURE_NO_WARNINGS")
else (MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
endif(MSVC)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)


# lib generator version
set(generator_MAJOR_VERSION "0")
set(generator_MINOR_VERSION "3")
set(generator_MICRO_VERSION "3")
set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")

set(generator_plugin_DIR ${LIB_INSTALL_DIR}/generatorrunner)

add_definitions(${QT_DEFINITIONS})

configure_file(generatorrunnerconfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/generatorrunnerconfig.h @ONLY)

set(CMAKE_BUILD_TYPE Debug)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}/..
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR})

add_library(genrunner SHARED generator.cpp)
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION})
target_link_libraries(genrunner ${QT_QTCORE_LIBRARY} ${APIEXTRACTOR_LIBRARY})

add_executable(generatorrunner main.cpp)
target_link_libraries(generatorrunner
                      genrunner
                      ${APIEXTRACTOR_LIBRARY}
                      ${QT_QTCORE_LIBRARY})

# create pkg-config file
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/generatorrunner.pc.in
               ${CMAKE_CURRENT_BINARY_DIR}/generatorrunner.pc @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/FindGeneratorRunner.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/FindGeneratorRunner.cmake @ONLY)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")



set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${generator_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

install(TARGETS genrunner LIBRARY DESTINATION ${LIB_INSTALL_DIR}
                          ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
                          RUNTIME DESTINATION bin)
install(TARGETS generatorrunner DESTINATION bin)
install(FILES generator.h DESTINATION include/generatorrunner)
install(FILES generatorrunnermacros.h DESTINATION include/generatorrunner)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/generatorrunner.pc DESTINATION
        ${LIB_INSTALL_DIR}/pkgconfig)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/FindGeneratorRunner.cmake
        DESTINATION "share/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules")

#FIXME: manpages should be installed only on Linux targets
file(GLOB manpages ${CMAKE_CURRENT_SOURCE_DIR}/*.1)
install(FILES ${manpages} DESTINATION share/man/man1)

enable_testing()

add_subdirectory(generators)
add_subdirectory(tests)

=== debian/changelog ===
generatorrunner (0.3.3-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - Bump libgenrunner SONAME to 0.3.3
    - Bump apiextractor dependency to 0.3.3 (recommended by upstream).
  * Use 3.0 (quilt) format.

 -- Didier Raboud <didier@raboud.com>  Fri, 22 Jan 2010 16:56:56 +0100

generatorrunner (0.3.2-1) unstable; urgency=low

  * New upstream release.
    - Split out boostpythongenerator.
    - Remove fix_manpages.patch - Included upstream.
    - Bump libgenrunner SONAME to 0.3.2
    - Add libxslt-dev Build-Dependency
  * Add use_cmake_config_no_find.patch:
    - Don't ship buggy FindGeneratorRunner.cmake (it is shipped in the wrong
      directory and useless anyway).
    - Ship instead a home-brewn GeneratorRunnerConfig.cmake and other cmake
      specific configuration files
    + Many thanks to Modestas Vainius for his time and skills in helping me
      through this patch!

 -- Didier Raboud <didier@raboud.com>  Thu, 10 Dec 2009 00:23:35 +0100

generatorrunner (0.3.1-1) unstable; urgency=low

  * Initial Debian release (Closes: #543719)
    - Use the Ubuntu packaging as starting point.
    - Convert to dh7.
  * Follow upstream in renaming to generatorrunner.
  * debian/watch: Add.
  * debian/cmake.mk: Remove dirty workaround.
  * debian/control:
    - Update Depends to dh7
    - Update Maintainer to Debian Python Modules Team
    - Add myself to Uploaders
    - Add Homepage and Vcs-* fields
    - Update description
    - Produce multiple binary packages with the various sub-parts.
    - Let libgenrunner-dev depend on libapiextractor-dev (>= 0.3.1).
  * debian/copyright: Update.
  * debian/patches:
    - Add fix_manpages.patch to solve the hyphens-as-minus lintian info
    - Add quilt to Build-Depends.
    - Add README.source
  * Add a debugging package.
  * Bump Standards to 3.8.3

 -- Didier Raboud <didier@raboud.com>  Thu, 15 Oct 2009 11:38:29 +0200

boostpythongenerator (0.2-0ubuntu2) jaunty; urgency=low

  * Build for Ubuntu 9.04.
  * Remove unused header from docgenerator.cpp.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Tue, 18 Aug 2009 08:27:33 -0400

boostpythongenerator (0.2-0maemo1) unstable; urgency=low

  * Initial release.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 16 Jul 2009 09:34:42 -0400

=== debian/control ===
Source: generatorrunner
Section: devel
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper (>= 7.3.12), libapiextractor-dev (>= 0.3.3), libqt4-dev (>= 4.5), cmake (>= 2.6.0), libxslt-dev
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/generatorrunner/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/generatorrunner/?op=log
Homepage: http://www.pyside.org/home-binding/binding-generator/

Package: libgenrunner0.3.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: generatorrunner (=${binary:Version}) 
Description: generatorrunner dedicated library
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library.

Package: libgenrunner-dev
Architecture: any
Section: libdevel
Depends: libgenrunner0.3.3 (= ${binary:Version}), libapiextractor-dev (>= 0.3.3), ${shlibs:Depends}, ${misc:Depends}
Description: generatorrunner dedicated library headers
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library headers

Package: generatorrunner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: docgenerator, boostpythongenerator
Description: Plugin-based application to run apiextractor-based generators
 Runs generator plugins, such as docgenerator or boostpythongenerator.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.

Package: docgenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         generatorrunner (= ${binary:Version})
Description: Generator plugin for python bindings documentation
 Generates documentation for C++ library bindings using sphinx.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.

Package: generatorrunner-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.3.3 (>= ${binary:Version})
Section: debug
Description: Debugging symbols for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the debugging symbols for generatorrunner, docgenerator,
 boostpythongenerator and libgenrunner0.3.3.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake $@

override_dh_strip:
	dh_strip --dbg-package=generatorrunner-dbg

## generatorrunner 0.5.0-1maemo2

=== CMakeLists.txt ===
project(generatorrunner)

cmake_minimum_required(VERSION 2.6)

find_package(Qt4 4.5.0 REQUIRED)
find_package(ApiExtractor REQUIRED)

option(BUILD_TESTS "Build tests." TRUE)

if(MSVC)
    set(CMAKE_CXX_FLAGS "/DWIN32 /D_WINDOWS /w /EHsc- /GS- /GR- /DGENRUNNER_BUILD -D_SCL_SECURE_NO_WARNINGS")
elseif(CMAKE_HOST_UNIX)
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimize library size and performance. Only available on Release Mode" 0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wno-strict-aliasing -Wl,-O1")
        if(NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()


set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)


# lib generator version
set(generator_MAJOR_VERSION "0")
set(generator_MINOR_VERSION "5")
set(generator_MICRO_VERSION "0")
set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")

set(generator_plugin_DIR ${LIB_INSTALL_DIR}/generatorrunner)

add_definitions(${QT_DEFINITIONS})

configure_file(generatorrunnerconfig.h.in "${CMAKE_CURRENT_BINARY_DIR}/generatorrunnerconfig.h" @ONLY)

set(CMAKE_BUILD_TYPE Debug)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR})

add_library(genrunner SHARED generator.cpp)
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION})
target_link_libraries(genrunner ${QT_QTCORE_LIBRARY} ${APIEXTRACTOR_LIBRARY})
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION} SOVERSION ${generator_SOVERSION})

add_executable(generatorrunner main.cpp)
target_link_libraries(generatorrunner
                      genrunner
                      ${APIEXTRACTOR_LIBRARY}
                      ${QT_QTCORE_LIBRARY})

# create pkg-config file
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/generatorrunner.pc.in"
               "${CMAKE_CURRENT_BINARY_DIR}/generatorrunner.pc" @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/GeneratorRunnerConfig.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerConfig.cmake" @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/GeneratorRunnerVersion.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerVersion.cmake" @ONLY)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")



set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${generator_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

install(TARGETS genrunner LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                          ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
                          RUNTIME DESTINATION bin)
install(TARGETS generatorrunner DESTINATION bin)
install(FILES generator.h DESTINATION include/generatorrunner)
install(FILES generatorrunnermacros.h DESTINATION include/generatorrunner)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/generatorrunner.pc" DESTINATION
        "${LIB_INSTALL_DIR}/pkgconfig")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerConfig.cmake"
        DESTINATION "${LIB_INSTALL_DIR}/cmake/GeneratorRunner-${generator_VERSION}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerVersion.cmake"
        DESTINATION "${LIB_INSTALL_DIR}/cmake/GeneratorRunner-${generator_VERSION}")

#FIXME: manpages should be installed only on Linux targets
file(GLOB manpages "${CMAKE_CURRENT_SOURCE_DIR}/*.1")
install(FILES ${manpages} DESTINATION share/man/man1)

if (BUILD_TESTS)
    enable_testing()
endif()

add_subdirectory(generators)

if (BUILD_TESTS)
    add_subdirectory(tests)
endif()

=== generators/qtdoc/CMakeLists.txt ===
project(qtdoc_generator)

set(qtdoc_generator_SRC
qtdocgenerator.cpp
)

add_executable(docgenerator main.cpp)
target_link_libraries(docgenerator ${QT_QTCORE_LIBRARY})

add_library(qtdoc_generator SHARED ${qtdoc_generator_SRC})
target_link_libraries(qtdoc_generator ${APIEXTRACTOR_LIBRARY} ${QT_QTCORE_LIBRARY} genrunner)

install(TARGETS qtdoc_generator DESTINATION ${generator_plugin_DIR})
install(TARGETS docgenerator DESTINATION bin)

=== debian/changelog ===
generatorrunner (0.5.0-1maemo2) unstable; urgency=low

  * New release

 -- Luciano Miguel Wolf <luciano.wolf@openbossa.org>  Fri, 04 Jun 2010 14:15:35 -0300

generatorrunner (0.4.2-0maemo1) unstable; urgency=low

  * Maemo 5 build. 

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Tue, 04 May 2010 15:11:40 -0400

generatorrunner (0.4.2-0) unstable; urgency=low

  * New release
  * libgenrunner0 renamed to libgenrunner0.4 due to SOVERSION changes

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Mon, 03 May 2010 12:09:10 -0400

generatorrunner (0.4.0-0pyside0~ppa1) karmic; urgency=low

  * Reuse Debian packaging for Ubuntu (PPA) and Maemo builds.
  * Remove use_cmake_config_no_find.patch - Included upstream.
  * debian/source/format: downgrade to 1.0 format for karmic.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Wed, 24 Mar 2010 12:30:37 -0400

generatorrunner (0.3.3-0pyside0~ppa1) karmic; urgency=low

  [ Renato Filho ]
  * Final release 0.3.2

  [ Hugo Lima ]
  * [5f1029f] Remove white spaces at end of each line when formating
    injected code.
  * [7abd582] Fix macros about dllexport/dllimport.
  * [f94e3ab] Add proper compiler flags for msvc.
  * [0c1ef18] Install FindGenRunner.cmake and libgenrunner in the
    correct directory.
  * [01c2666] FindGeneratorRunner.cmake now respect the find_package
    REQUIRED attribute.
  * [04b6a05] Disable GENRUNNER_DEPRECATED macro when using msvc.
  * [302029e] Change the getGenerators signature, because on some
    platforms a function exported as a C function can't return a C++
    type by value. All generators plugins *MUST* be recompiled. Reviewed
    by Luciano Wolf <luciano.wolf@openbossa.org>

  [ Renato Filho ]
  * [0010455] Updated Changelog.
  * [9a434d3] Bump to version 0.3.3.

  [ Marcelo Lira ]
  * [6bdce6a] Improved Generator::replaceTemplateVariables method to
    avoid segfaults. Reviewed by Hugo Parente <hugo.lima@openbossa.org>

  [ Bruno dos Santos de Araujo ]
  * [bd98924] Add constraint to avoid index out-of-range errors
    Reviewer: Lauro Neto <lauro.neto@openbossa.org>

  [ Renato Filho ]

 -- Renato Araujo Oliveira Filho <renato.filho@openbossa.org>  Mon, 21 Dec 2009 15:18:59 -0300

generatorrunner (0.3.2-0pyside0~ppa1) unstable; urgency=low

  * First release after splitting boostpythongenerator.
  * Renaming source package

 -- Lauro Moura <lauro@openbossa.org>  Mon, 26 Oct 2009 20:28:36 -0300

=== debian/control ===
Source: generatorrunner
Section: devel
Priority: extra
Maintainer: PySide Team <pyside@openbossa.org>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper7 (>= 7.3.12), libapiextractor-dev (>= 0.6.0), libqt4-dev (>= 4.5), cmake (>= 2.6.0), libxslt1-dev
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/generatorrunner/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/generatorrunner/?op=log
Homepage: http://www.pyside.org/home-binding/binding-generator/

Package: libgenrunner0.5
Architecture: any
Section: libs
Conflicts: libgenrunner0 (<< $VERSION)
Replaces: libgenrunner0 (<< $VERSION)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: generatorrunner (=${binary:Version})
Description: generatorrunner dedicated library
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library.

Package: libgenrunner-dev
Architecture: any
Section: libdevel
Depends: libgenrunner0.5 (= ${binary:Version}), libapiextractor-dev (>= 0.6.0), ${shlibs:Depends}, ${misc:Depends}
Description: generatorrunner dedicated library headers
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library headers

Package: generatorrunner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: docgenerator, shiboken
Description: Plugin-based application to run apiextractor-based generators
 Runs generator plugins, such as docgenerator or shiboken.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or
 documentation, or anything you want) for the target language for which it was
 written.

Package: docgenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         generatorrunner (= ${binary:Version})
Description: Generator plugin for python bindings documentation
 Generates documentation for C++ library bindings using sphinx.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or
 documentation, or anything you want) for the target language for which it was
 written.

Package: generatorrunner-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.5 (>= ${binary:Version})
Section: debug
Description: Debugging symbols for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the debugging symbols for generatorrunner, docgenerator,
 shiboken  and libgenrunner.

## generatorrunner 0.6.0-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(ApiExtractor REQUIRED)
+find_package(ApiExtractor 0.7 REQUIRED)
 
 option(BUILD_TESTS "Build tests." TRUE)
 
@@ -33,7 +33,7 @@
 
 # lib generator version
 set(generator_MAJOR_VERSION "0")
-set(generator_MINOR_VERSION "5")
+set(generator_MINOR_VERSION "6")
 set(generator_MICRO_VERSION "0")
 set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
 set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
@@ -68,8 +68,8 @@
                "${CMAKE_CURRENT_BINARY_DIR}/generatorrunner.pc" @ONLY)
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/GeneratorRunnerConfig.cmake.in"
                "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerConfig.cmake" @ONLY)
-configure_file("${CMAKE_CURRENT_SOURCE_DIR}/GeneratorRunnerVersion.cmake.in"
-               "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerVersion.cmake" @ONLY)
+configure_file("${CMAKE_CURRENT_SOURCE_DIR}/GeneratorRunnerConfigVersion.cmake.in"
+               "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerConfigVersion.cmake" @ONLY)
 
 # uninstall target
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
@@ -100,7 +100,7 @@
         "${LIB_INSTALL_DIR}/pkgconfig")
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerConfig.cmake"
         DESTINATION "${LIB_INSTALL_DIR}/cmake/GeneratorRunner-${generator_VERSION}")
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerVersion.cmake"
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerConfigVersion.cmake"
         DESTINATION "${LIB_INSTALL_DIR}/cmake/GeneratorRunner-${generator_VERSION}")
 
 #FIXME: manpages should be installed only on Linux targets

=== generators/CMakeLists.txt ===
add_subdirectory(qtdoc)

=== tests/CMakeLists.txt ===
project(sphinxtabletest)

# TODO
set(sphinxtabletest_SRC sphinxtabletest.cpp)
qt4_automoc(${sphinxtabletest_SRC})

include_directories(${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${qtdoc_generator_SOURCE_DIR})

add_executable(sphinxtabletest ${sphinxtabletest_SRC})

target_link_libraries(sphinxtabletest
                      ${QT_QTTEST_LIBRARY}
                      ${APIEXTRACTOR_LIBRARY}
                      qtdoc_generator
                      genrunner)

add_test("sphinxtable" sphinxtabletest)

=== generators/qtdoc/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 add_library(qtdoc_generator SHARED ${qtdoc_generator_SRC})
 target_link_libraries(qtdoc_generator ${APIEXTRACTOR_LIBRARY} ${QT_QTCORE_LIBRARY} genrunner)
+set_property(TARGET qtdoc_generator PROPERTY PREFIX "")
 
 install(TARGETS qtdoc_generator DESTINATION ${generator_plugin_DIR})
 install(TARGETS docgenerator DESTINATION bin)

=== debian/changelog ===
generatorrunner (0.6.0-1maemo1) unstable; urgency=low

  * New upstream release.

 -- Lauro Moura <lauro.neto@openbossa.org>  Mon, 02 Aug 2010 16:04:08 -0300

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: extra
 Maintainer: PySide Team <pyside@openbossa.org>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper7 (>= 7.3.12), libapiextractor-dev (>= 0.6.0), libqt4-dev (>= 4.5), cmake (>= 2.6.0), libxslt1-dev
+Build-Depends: debhelper7 (>= 7.3.12), libapiextractor-dev (>= 0.7.0), libqt4-dev (>= 4.5), cmake (>= 2.6.0), libxslt1-dev
 Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/generatorrunner/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/generatorrunner/?op=log
 Homepage: http://www.pyside.org/home-binding/binding-generator/
 
-Package: libgenrunner0.5
+Package: libgenrunner0.6
 Architecture: any
 Section: libs
-Conflicts: libgenrunner0 (<< $VERSION)
-Replaces: libgenrunner0 (<< $VERSION)
+Conflicts: libgenrunner0 (<< $VERSION), libgenrunner0.5
+Replaces: libgenrunner0 (<< $VERSION), libgenrunner0.5
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: generatorrunner (=${binary:Version})
 Description: generatorrunner dedicated library
@@ -25,7 +25,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.5 (= ${binary:Version}), libapiextractor-dev (>= 0.6.0), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.7.0), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.
@@ -62,7 +62,7 @@
 
 Package: generatorrunner-dbg
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.5 (>= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
 Section: debug
 Description: Debugging symbols for generatorrunner, and its brothers
  The Binding Generator is a utility that parses the headers for a given C/C++

=== debian/rules ===
#!/usr/bin/make -f

# Allow to find debhelper7 on Maemo
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --buildsystem=cmake --parallel $@

override_dh_strip:
	dh_strip --dbg-package=generatorrunner-dbg

## generatorrunner 0.6.1

=== CMakeLists.txt ===
project(generatorrunner)

cmake_minimum_required(VERSION 2.6)

find_package(Qt4 4.5.0 REQUIRED)
find_package(ApiExtractor 0.8 REQUIRED)

option(BUILD_TESTS "Build tests." TRUE)
option(ENABLE_VERSION_SUFFIX "Used to use current version in suffix to generated files. This is used to allow multiples versions installed simultaneous." FALSE)

if(MSVC)
    set(CMAKE_CXX_FLAGS "/Zc:wchar_t- /EHsc /DWIN32 /D_WINDOWS /D_SCL_SECURE_NO_WARNINGS")
else()
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimize library size and performance. Only available on Release Mode" 0)
    if (CMAKE_HOST_UNIX)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
    endif()
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wno-strict-aliasing -Wl,-O1")
        if(NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()


set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)


# lib generator version
set(generator_MAJOR_VERSION "0")
set(generator_MINOR_VERSION "6")
set(generator_MICRO_VERSION "1")
set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")
if (ENABLE_VERSION_SUFFIX)
    set(generator_SUFFIX "-${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
else()
    set(generator_SUFFIX "")
endif()

set(generator_plugin_DIR ${LIB_INSTALL_DIR}/generatorrunner${generator_SUFFIX})

add_definitions(${QT_DEFINITIONS})

configure_file(generatorrunnerconfig.h.in "${CMAKE_CURRENT_BINARY_DIR}/generatorrunnerconfig.h" @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR})

add_library(genrunner SHARED generator.cpp)
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION} DEFINE_SYMBOL GENRUNNER_EXPORTS)
target_link_libraries(genrunner ${QT_QTCORE_LIBRARY} ${APIEXTRACTOR_LIBRARY})
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION}
                                SOVERSION ${generator_SOVERSION}
                                OUTPUT_NAME genrunner${generator_SUFFIX})

add_executable(generatorrunner main.cpp)
set_target_properties(generatorrunner PROPERTIES OUTPUT_NAME generatorrunner${generator_SUFFIX})
target_link_libraries(generatorrunner
                      genrunner
                      ${APIEXTRACTOR_LIBRARY}
                      ${QT_QTCORE_LIBRARY})

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")



set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${generator_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})


set(GENERATORRUNNER_INC_DIR "generatorrunner${generator_SUFFIX}")
install(TARGETS genrunner LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                          ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
                          RUNTIME DESTINATION bin)
install(TARGETS generatorrunner DESTINATION bin)
install(FILES generator.h DESTINATION include/${GENERATORRUNNER_INC_DIR})
install(FILES generatorrunnermacros.h DESTINATION include/${GENERATORRUNNER_INC_DIR})

if (BUILD_TESTS)
    enable_testing()
endif()

add_subdirectory(generators)

if (BUILD_TESTS)
    add_subdirectory(tests)
endif()
add_subdirectory(data)

=== data/CMakeLists.txt ===
# create pkg-config file
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/generatorrunner.pc.in"
               "${CMAKE_CURRENT_BINARY_DIR}/generatorrunner${generator_SUFFIX}.pc" @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/GeneratorRunnerConfig.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerConfig.cmake" @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/GeneratorRunnerConfigVersion.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerConfigVersion.cmake" @ONLY)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/generatorrunner${generator_SUFFIX}.pc" DESTINATION
        "${LIB_INSTALL_DIR}/pkgconfig")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerConfig.cmake"
        DESTINATION "${LIB_INSTALL_DIR}/cmake/GeneratorRunner-${generator_VERSION}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/GeneratorRunnerConfigVersion.cmake"
        DESTINATION "${LIB_INSTALL_DIR}/cmake/GeneratorRunner-${generator_VERSION}")

#FIXME: manpages should be installed only on Linux targets
execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different "${CMAKE_CURRENT_SOURCE_DIR}/docgenerator.1"
                                                              "${CMAKE_CURRENT_BINARY_DIR}/docgenerator${generator_SUFFIX}.1")
execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different "${CMAKE_CURRENT_SOURCE_DIR}/generatorrunner.1"
                                                              "${CMAKE_CURRENT_BINARY_DIR}/generatorrunner${generator_SUFFIX}.1")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/generatorrunner.pc.in"
               "${CMAKE_CURRENT_BINARY_DIR}/generatorrunner${generator_SUFFIX}.pc" @ONLY)

file(GLOB manpages "${CMAKE_CURRENT_BINARY_DIR}/*${generator_SUFFIX}.1")
install(FILES ${manpages} DESTINATION share/man/man1)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/GeneratorRunner.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/GeneratorRunner.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== generators/CMakeLists.txt ===
if (NOT APIEXTRACTOR_DOCSTRINGS_DISABLED)
    add_subdirectory(qtdoc)
endif()

=== tests/CMakeLists.txt ===
if (NOT APIEXTRACTOR_DOCSTRINGS_DISABLED)
    project(sphinxtabletest)

    # TODO
    set(sphinxtabletest_SRC sphinxtabletest.cpp)
    qt4_automoc(${sphinxtabletest_SRC})

    include_directories(${QT_INCLUDE_DIR}
                        ${QT_QTCORE_INCLUDE_DIR}
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${qtdoc_generator_SOURCE_DIR})

    add_executable(sphinxtabletest ${sphinxtabletest_SRC})

    target_link_libraries(sphinxtabletest
                        ${QT_QTTEST_LIBRARY}
                        ${APIEXTRACTOR_LIBRARY}
                        qtdoc_generator
                        genrunner)

    add_test("sphinxtable" sphinxtabletest)
endif()

=== foobinding/foo/Makefile ===
LIBFOO_DIR = ../../libfoo
LIBS = -lboost_python `python-config --libs` \
       `pkg-config pyside --libs` \
       -lfoo -L$(LIBFOO_DIR) \
       -lpthread -ldl -lutil
CXXFLAGS = -I/usr/share/qt4/mkspecs/linux-g++ -I. \
           -I$(LIBFOO_DIR) \
           `pkg-config pyside --cflags` \
           -I`python-config --includes` \
           -I/usr/include/boost/python
QT4TYPESYSTEM_DIR = `pkg-config --variable=typesystemdir pyside`
QT4HEADER_DIRS = `pkg-config --variable=includedir QtCore`:`pkg-config --variable=includedir QtCore`/..

SOURCES = foo_globals_wrapper.cpp  foo_module_wrapper.cpp  math_wrapper.cpp
OBJECTS = foo_globals_wrapper.o    foo_module_wrapper.o    math_wrapper.o

all: generate compile link

generate:
	boostpythongenerator ../data/global.h \
	--include-paths=$(LIBFOO_DIR):$(QT4HEADER_DIRS):/usr/include \
	--typesystem-paths=../data:$(QT4TYPESYSTEM_DIR) \
	--output-directory=.. \
	../data/typesystem_foo.xml

compile: $(SOURCES)
	g++ -Wall -fPIC -DPIC $(CXXFLAGS) -c foo_globals_wrapper.cpp
	g++ -Wall -fPIC -DPIC $(CXXFLAGS) -c foo_module_wrapper.cpp
	g++ -Wall -fPIC -DPIC $(CXXFLAGS) -c math_wrapper.cpp

link:
	g++ -shared -Wl,-soname,foo.so -o foo.so $(LIBS) $(OBJECTS)

test:
	LD_LIBRARY_PATH=$(LIBFOO_DIR):$LD_LIBRARY_PATH python -c \
	"import PySide.QtCore; import foo; print dir(foo); m = foo.Math(); print \"5 squared is %d\" % m.squared(5)"

clean:
	rm -rf *.o *.so *.?pp *.log

=== debian/changelog ===
generatorrunner (0.6.1-0ubuntu1) maverick; urgency=low

  * New 0.6.1 upstream release (LP: #648612)
    - Apply manpages location changes.
    - Bump libapiextractor B-D to 0.8

 -- Didier Raboud <didier@raboud.com>  Mon, 27 Sep 2010 20:58:17 +0200

generatorrunner (0.6.0-1~exp0) experimental; urgency=low

  * New upstream 0.6.0 upstream release
    - Bump libgenrunner SONAME to 0.6
    - Update symbols and install files
    - Bump libapiextractor-dev B-D to >= 0.7.0

  * Build docs in binary-indep target.
  * Bump Standards to 3.9.1.0 without changes needed.

  * Uploading to experimental as we are in transition freeze.

 -- Didier Raboud <didier@raboud.com>  Sun, 08 Aug 2010 17:02:28 +0200

generatorrunner (0.5.0-1) unstable; urgency=low

  * New upstream 0.5.0 upstream release
    - Bump libgenrunner SONAME to 0.5
    - Bump libapiextractor-dev B-D to >= 0.6.0

  * Build -doc package with the sphinx-generated html docs, put it
    in section docs.

 -- Didier Raboud <didier@raboud.com>  Sun, 06 Jun 2010 16:39:23 +0200

generatorrunner (0.4.2-1) unstable; urgency=low

  * New upstream 0.4.2 upstream release
    - Bump libapiextractor-dev B-D to >= 0.5.1
    - Bump libgenrunner SONAME to 0.4
      (The soversion'ing changes with that release).

  * -dbg packages are priority extra.

 -- Didier Raboud <didier@raboud.com>  Thu, 06 May 2010 09:17:47 +0200

generatorrunner (0.4.0-2) unstable; urgency=low

  * debian/control:
    - Move to collab-maint' git: change Vcs-* and Maintainer fields.
    - Priority is optional.
    - Do some more polishing
  * Release to unstable

 -- Didier Raboud <didier@raboud.com>  Thu, 22 Apr 2010 17:47:18 +0200

generatorrunner (0.4.0-1) experimental; urgency=low

  * New 0.4.0 upstream release

  * Add symbols for libgenrunner0.4.0 with (c++) filter.
  * debian/rules
    - dh_install now lists missing files.
    - Allow parallel building
  * debian/control
    - Bump libgenrunner SONAME to 0.4.0
    - Drop boostpythongenerator references and recommends.
    - Bump Build-Depends on dpkg-dev (>= 1.15.6) for the (c++) symbols.
  * debian/patches
    - Drop use_cmake_config_no_find.patch: somehow merged upstream.
  * Bump Standards to 3.8.4 (no changes needed).

 -- Didier Raboud <didier@raboud.com>  Sun, 11 Apr 2010 14:37:47 +0200

=== debian/control ===
Source: generatorrunner
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Didier Raboud <didier@raboud.com>
Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
               libapiextractor-dev (>= 0.8.0), libqt4-dev (>= 4.5),
               cmake (>= 2.6.0), libxslt-dev
Build-Depends-Indep: python-sphinx
Standards-Version: 3.9.1.0
Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
Homepage: http://www.pyside.org/home-binding/binding-generator/

Package: libgenrunner0.6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: generatorrunner (=${binary:Version}) 
Description: generatorrunner dedicated library
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library.

Package: libgenrunner-dev
Architecture: any
Section: libdevel
Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.7.0), ${shlibs:Depends}, ${misc:Depends}
Description: generatorrunner dedicated library headers
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library headers

Package: generatorrunner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: docgenerator
Description: plugin-based application to run apiextractor-based generators
 Runs generator plugins, such as docgenerator.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.

Package: docgenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         generatorrunner (= ${binary:Version})
Description: generator plugin for python bindings documentation
 Generates documentation for C++ library bindings using sphinx.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.

Package: generatorrunner-dbg
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
Section: debug
Description: debugging symbols for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the debugging symbols for generatorrunner, docgenerator
 and libgenrunner.

Package: generatorrunner-doc
Priority: extra
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Section: doc
Description: documentation for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the documentation for generatorrunner, docgenerator
 and libgenrunner.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake --parallel $@

override_dh_strip:
	dh_strip --dbg-package=generatorrunner-dbg

override_dh_install:
	dh_install --list-missing \
	  -Xusr/share/man/man1/docgenerator.1 \
	  -Xusr/share/man/man1/generatorrunner.1

binary: binary-arch binary-indep;

binary-indep:
	make -C doc html
	rm -f doc/_build/html/_static/images/._*
	dh binary-indep
